CSSPageRule (Java SE 26 & JDK 26)
Description: declaration: module: jdk.xml.dom, package: org.w3c.dom.css, interface: CSSPageRule
Keywords: org.w3c.dom.css.CSSPageRule interface

# Interface CSSPageRule

All Superinterfaces:
  `CSSRule`

public interface CSSPageRule extends CSSRule
The `CSSPageRule` interface represents a @page rule within a CSS style sheet. The `@page` rule is used to specify the dimensions, orientation, margins, etc. of a page box for paged media.

See also the Document Object Model (DOM) Level 2 Style Specification.

Since:
  1.4, DOM Level 2

- ## Field Summary

  ### Fields declared in interface CSSRule

  `CHARSET_RULE, FONT_FACE_RULE, IMPORT_RULE, MEDIA_RULE, PAGE_RULE, STYLE_RULE, UNKNOWN_RULE`
  Modifier and Type
  Field
  Description
  `static final short`
  `CHARSET_RULE`
  The rule is a `CSSCharsetRule`.
  `static final short`
  `FONT_FACE_RULE`
  The rule is a `CSSFontFaceRule`.
  `static final short`
  `IMPORT_RULE`
  The rule is a `CSSImportRule`.
  `static final short`
  `MEDIA_RULE`
  The rule is a `CSSMediaRule`.
  `static final short`
  `PAGE_RULE`
  The rule is a `CSSPageRule`.
  `static final short`
  `STYLE_RULE`
  The rule is a `CSSStyleRule`.
  `static final short`
  `UNKNOWN_RULE`
  The rule is a `CSSUnknownRule`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getSelectorText()`
  The parsable textual representation of the page selector for the rule.
  `CSSStyleDeclaration`
  `getStyle()`
  The declaration-block of this rule.
  `void`
  `setSelectorText(String selectorText)`
  The parsable textual representation of the page selector for the rule.

  ### Methods declared in interface CSSRule

  `getCssText, getParentRule, getParentStyleSheet, getType, setCssText`
  Modifier and Type
  Method
  Description
  `String`
  `getCssText()`
  The parsable textual representation of the rule.
  `CSSRule`
  `getParentRule()`
  If this rule is contained inside another rule (e.g. a style rule inside an @media block), this is the containing rule.
  `CSSStyleSheet`
  `getParentStyleSheet()`
  The style sheet that contains this rule.
  `short`
  `getType()`
  The type of the rule, as defined above.
  `void`
  `setCssText(String cssText)`
  The parsable textual representation of the rule.

- ## Method Details

  - ### getSelectorText

    String getSelectorText()
    The parsable textual representation of the page selector for the rule.

  - ### setSelectorText

    void setSelectorText(String selectorText) throws DOMException
    The parsable textual representation of the page selector for the rule.
    Throws:
      `DOMException` - SYNTAX_ERR: Raised if the specified CSS string value has a syntax error and is unparsable.
      NO_MODIFICATION_ALLOWED_ERR: Raised if this rule is readonly.

  - ### getStyle

    CSSStyleDeclaration getStyle()
    The declaration-block of this rule.